<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/weather">
<html>
<head>
<style type="text/css">
body 
{ 
margin-top: 0px;
margin-bottom: 0px;
margin-right:0px;
margin-left: 0px;
}
.location 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 13px;
	font-weight:bold;
	color: #FFFFFF;
	background-color:#003366;	
}
.title 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
	color: #000000;
}

.footer
{ 
	font-family: font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight:none;
	color: #000000;
}
.values
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:none;
	color: #000000;
	background-color:#EBEFF4;
}
.date
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
	color: #003366;
}

A:link 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}


A:visited 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}


A:active 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}

</style>
</head> 
<table width="100%" height="100%" border="0" cellSpacing="1" cellPadding="5" ID="Table1">
  <tr>
    <td colspan="2" align="left" valign="center" class="location" height="40px">
        Detailed Forecast for: <xsl:value-of select="loc/dnam"></xsl:value-of>
    </td>
  </tr>
  <xsl:for-each select="dayd/day">
      <xsl:variable name="day"><xsl:value-of select="@t"></xsl:value-of></xsl:variable>
      <xsl:for-each select="part">
         <xsl:variable name="d">d</xsl:variable>
         <xsl:variable name="n">n</xsl:variable>
         <xsl:variable name="tm"><xsl:value-of select="@p"></xsl:value-of></xsl:variable> 
         <tr>
         <xsl:if test="$tm = $n">
            <td class="date"><xsl:value-of select="$day"/> night:</td>
            <td class="values"><xsl:value-of select="t"></xsl:value-of></td>         
         </xsl:if>
         <xsl:if test="$tm = $d">
            <td class="date"><xsl:value-of select="$day"/></td>
            <td class="values"><xsl:value-of select="t"></xsl:value-of></td>             
         </xsl:if>
      </tr>     
      </xsl:for-each> 
</xsl:for-each>
       
        <tr>
        <td colspan="5"><xsl:variable name="loc"><xsl:value-of select="loc/@id"></xsl:value-of></xsl:variable>
        <font class="footer">Last updated
       <xsl:value-of select="dayd/lsup"></xsl:value-of> 
       <br/><a href="http://www.w3.weather.com/weather/local/{$loc}">View this forecast at weather.com</a>
       </font>
        </td>
        </tr>
      </table>
      </html>
  </xsl:template>
</xsl:stylesheet>