<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/weather">
<html>
<head>
<style type="text/css">
body 
{ 
margin-top: 0px;
margin-bottom: 0px;
margin-right:0px;
margin-left: 0px;
}
.location 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 13px;
	font-weight:bold;
	color: #FFFFFF;
	background-color:#003366;	
}
.title 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
	color: #000000;
}

.footer
{ 
	font-family: font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight:none;
	color: #000000;
}
.values
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:none;
	color: #000000;
}
.date
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
	color: #000000;
}

A:link 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}


A:visited 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}


A:active 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}

</style>
</head> 
<table width="100%" height="100%" border="0" cellSpacing="1" cellPadding="0" ID="Table1">
  <tr>
    <td colspan="6" align="left" valign="center" class="location" height="40px">
        10-Day Extended Forecast for: <xsl:value-of select="loc/dnam"></xsl:value-of>
    </td>
  </tr>
  <tr bgcolor="#DBE2ED">
    <td colspan="3" align="left" valign="center" height="20px">
       
    </td>
    <td align="center" class="title">
    Daytime High /<br/>Overnight Low (<img src="images/deg.gif"></img><xsl:value-of select="head/ut"></xsl:value-of>)
    </td>
    <td align="center" class="title">
    Humidity
    </td>
    <td align="center" valign="middle" class="title">
    Precip.
    </td>
  </tr>
  <xsl:variable name="loc"><xsl:value-of select="loc/@id"></xsl:value-of></xsl:variable>
     <xsl:for-each select="dayf/day">
          <tr>
          <xsl:variable name="hi"><xsl:value-of select="hi"></xsl:value-of></xsl:variable>
          <xsl:variable name="na">N/A</xsl:variable>
                  
            <xsl:if test="@d = 0">
              <td>
                 <xsl:if test="$hi = $na">
                    <a href="http://www.weather.com/weather/detail/{$loc}">Tonight</a>
                 </xsl:if>
                 <xsl:if test="$hi != $na">
                    <a href="http://www.weather.com/weather/detail/{$loc}">Today</a>
                 </xsl:if>
                <br/>
                <font class="values"><xsl:value-of select="@dt"></xsl:value-of></font>
              </td>
            </xsl:if>
            <xsl:if test="@d > 0">
              <td>
                
                <a href="http://www.weather.com/weather/detail/{$loc}"><xsl:value-of select="@t"></xsl:value-of></a><br/>
                <font class="values"><xsl:value-of select="@dt"></xsl:value-of></font>
              </td>
            </xsl:if> 
              
  
              <td>
                  <xsl:variable name="med-img-dir">http://image.weather.com/web/common/wxicons/31/</xsl:variable>
                  <xsl:variable name="img-ext">gif</xsl:variable>
                  <xsl:variable name="iconnumber">
                      <xsl:value-of select="part/icon"></xsl:value-of>
                  </xsl:variable>
                  <img src="{$med-img-dir}/{$iconnumber}.{$img-ext}"></img>
              </td>
              
              <td>
                  <font class="values"><xsl:value-of select="part/t"></xsl:value-of></font>
              </td>
              
              <td align="center">

                  <xsl:if test="$hi = $na">
                    <font class="values"><xsl:value-of select="low"></xsl:value-of></font><img src="images/deg.gif"></img>
                  </xsl:if>
                  <xsl:if test="$hi != $na">
                    <font class="values"><xsl:value-of select="hi"></xsl:value-of></font><img src="images/deg.gif"></img>
                    /
                    <font class="values"><xsl:value-of select="low"></xsl:value-of></font> <img src="images/deg.gif"></img>
                  </xsl:if>
              </td>
              
              <td align="center">
              <font class="values"><xsl:value-of select="part/hmid"></xsl:value-of>%</font> 
              </td>
              
              <td align="center">
                  <font class="values"><xsl:value-of select="part/ppcp"></xsl:value-of>%</font> 
              </td> 
           </tr>          
          </xsl:for-each>
       
        <tr bgcolor="#EBEFF4">
        <td colspan="6">
        <font class="footer">Last updated
       <xsl:value-of select="dayf/lsup"></xsl:value-of> 
       <br/><a href="http://www.w3.weather.com/weather/local/{$loc}">View this forecast at weather.com</a>
       </font>
        </td>
        </tr>
      </table>
      </html>
  </xsl:template>
</xsl:stylesheet>