<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/weather">
<html>
<head>
<style type="text/css">
body 
{ 
margin-top: 0px;
margin-bottom: 0px;
margin-right:0px;
margin-left: 0px;
}
A:HOVER {
	color : Black;
}
.location 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 13px;
	font-weight:bold;
	color: #FFFFFF;
	background-color:#003366;	
}
.values
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:none;
	color: #000000;
}
.alerttitle 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 16px;
	font-weight:bold;
	color: #000000;
}
.title 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
	color: #000000;
}
.valuesb
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
  	color: #000000;
}
.alerttxt 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight:bold;
	color: #EA1717;
}
.footer
{ 
	font-family: font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight:none;
	color: #000000;
}
.tbl
{	
	border: 1px #ffffff solid;
	border-width: thin
	   
}
.conditions
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 13px;
	font-weight:bold;
	color: #000000;
}

.bigtemp {
        color : Navy;
	background-color : White;
	font-family : Verdana, sans-serif;
	font-size : large;
	text-align : left;
	font-weight : bold;
}

.visitus {
        color : Black;
	background-color : White;
	font-family : Verdana, sans-serif;
	font-size : xx-small;
	text-align : left;
}

</style>
</head>
  <table width="100%" height="100%" border="0" cellSpacing="0" cellPadding="0" ID="Table1">
  <tr>
    <td colspan="2" align="left" valign="center" class="location" height="40px">
        Current Conditions for: <xsl:value-of select="loc/dnam"></xsl:value-of>
    </td>
  </tr>
  <tr>
        <xsl:variable name="med-img-dir">images\64\</xsl:variable>
          <xsl:variable name="img-ext">gif</xsl:variable>
          <xsl:variable name="iconnumber">
          <xsl:value-of select="cc/icon"></xsl:value-of>
        </xsl:variable>
    <td width="200" align="center" valign="top">
        <br/>
        <img src="{$med-img-dir}/{$iconnumber}.{$img-ext}"></img><br/>
        <font class="conditions"><xsl:value-of select="cc/t"></xsl:value-of></font><br/><br/>
        <font class="bigtemp"><xsl:value-of select="cc/tmp"></xsl:value-of><img src="images/deg.gif"></img><xsl:value-of select="head/ut"></xsl:value-of></font><br/><br/>
        <font class="visitus">Tomorrows Sunrise Sunset</font><br/>
        <font class="valuesb">{SUNRISE}</font>
        <font class="values">/</font>
        <font class="valuesb">{SUNSET}</font>
        <xsl:if test="swa">
        <br/><br/>
        <xsl:variable name="alerttext" select="swa/a/t" />
        <img src="images/alert.gif" width="145" height="23" border="0" alt="{$alerttext}"></img><br/>
        </xsl:if>
    </td>
    <td align="left" valign="top">
  
  <table width="100%" height="100%" border="0" cellSpacing="1" cellPadding="5" ID="Table2" class="tbl">
  <xsl:if test="swa">
    <tr>
    <td align="left" valign="center" bgcolor="#DBE2ED">
        <xsl:variable name="swaurl"><xsl:value-of select="swa/a/l"></xsl:value-of></xsl:variable>
        <img src="images/checkmark2.gif"></img>
        <font class="alerttitle"><b>Severe Weather Alert</b>:</font>
        <br/> 
        <font class="alerttxt"><xsl:value-of select="swa/a/t"></xsl:value-of><br/>
        <a href="{$swaurl}">MORE DETAILS</a></font>
    </td>
    </tr>
  </xsl:if>
   <tr>
    <td align="left" valign="center" bgcolor="#EBEFF4">
        <font class="title">Temperature: </font> 
        <font class="values"><xsl:value-of select="cc/tmp"></xsl:value-of><img src="images/deg.gif"></img><xsl:value-of select="head/ut"></xsl:value-of></font>
    </td>
  </tr>
  <tr>
    <td align="left" valign="center" bgcolor="#EBEFF4">
        <font class="title">Feels like: </font><font class="values"><xsl:value-of select="cc/flik"></xsl:value-of><img src="images/deg.gif"></img><xsl:value-of select="head/ut"></xsl:value-of></font>
    </td>
  </tr>
       <tr>
          <td bgcolor="#EBEFF4"><font class="title">Humidity: </font><font class="values"><xsl:value-of select="cc/hmid"></xsl:value-of>%</font>
          </td>
       </tr>
             <tr>
          <td bgcolor="#EBEFF4"><font class="title">Dew Point: </font><font class="values"><xsl:value-of select="cc/dewp"></xsl:value-of><img src="images/deg.gif"></img><xsl:value-of select="head/ut"></xsl:value-of></font>
          </td>
       </tr> 
      <tr>
          <td bgcolor="#EBEFF4"><font class="title">Wind: </font><font class="values"><xsl:value-of select="cc/wind/s"></xsl:value-of><xsl:text> </xsl:text> <xsl:value-of select="head/us"></xsl:value-of><xsl:text> </xsl:text> <xsl:value-of select="cc/wind/t"></xsl:value-of></font>
          </td>
       </tr>
      <tr>
        <td bgcolor="#EBEFF4"><font class="title">UV Index:  </font><font class="values"><xsl:value-of select="cc/uv/i"></xsl:value-of>
        <img src="images/spacer.gif" width="3"></img>
        <xsl:value-of select="cc/uv/t"></xsl:value-of></font>
        </td>
        
      </tr>       
       <tr>
          <td bgcolor="#EBEFF4"><font class="title">Visibility: </font><font class="values"><xsl:value-of select="cc/vis"></xsl:value-of><xsl:text> </xsl:text><xsl:value-of select="head/ud"></xsl:value-of></font>
          </td>
       </tr>      
       <tr>
          <td bgcolor="#EBEFF4"><font class="title">Pressure: </font> <font class="values"><xsl:value-of select="cc/bar/r"></xsl:value-of><xsl:text> </xsl:text><xsl:value-of select="head/ur"></xsl:value-of> and
            <xsl:value-of select="cc/bar/d"></xsl:value-of></font>
          </td>
       </tr>
       <tr>
          <td bgcolor="#EBEFF4"><font class="title">Sunrise: </font> <font class="values">{SUNRISE}</font>
          </td>
       </tr>
              <tr>
          <td bgcolor="#EBEFF4"><font class="title">Sunset: </font> <font class="values">{SUNSET}</font>
          </td>
       </tr>
       <tr>
               <xsl:variable name="loc"><xsl:value-of select="loc/@id"></xsl:value-of></xsl:variable>
    
       
       <td bgcolor="#DBE2ED">
       <font class="footer">Observed {OBSERVED}
       <br/><a href="http://www.w3.weather.com/weather/local/{$loc}">View this forecast at weather.com</a>
       </font>
       </td>
       </tr>
     </table>
    </td>
  </tr>
  </table>
  <font class="footer">

</font>
</html>
  </xsl:template>
</xsl:stylesheet>
