<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/weather">
<html>
<head>
<style type="text/css">
body 
{ 
margin-top: 0px;
margin-bottom: 0px;
margin-right:0px;
margin-left: 0px;
}
.location 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 13px;
	font-weight:bold;
	color: #FFFFFF;
	background-color:#003366;	
}
.title 
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
	color: #000000;
}

.footer
{ 
	font-family: font-family : Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight:none;
	color: #000000;
}
.values
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:none;
	color: #000000;
}
.date
{ 
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight:bold;
	color: #003366;
}

.d
{
   font-family: Verdana, Arial, Helvetica, sans-serif;
   font-size: 12px;
   font-weight: bold;
   color:#FFFFFF;
}

A:link 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}


A:visited 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}


A:active 	
{ 
	color: #3333FF;
	font-size: 12px; 
	font-family: Verdana, Arial, Helvetica, sans-serif;
}

</style>
</head> 
<table width="100%" height="100%" border="0" cellSpacing="1" cellPadding="1" ID="Table1">
  <tr>
    <td colspan="9" align="left" valign="center" class="location" height="40px">
        Hourly Forecast for: <xsl:value-of select="loc/dnam"></xsl:value-of>
    </td>
  </tr>
  <tr bgcolor="#DBE2ED">
    <td colspan="3" align="left" valign="center" height="20px" class="title">       
    </td>
    <td align="center" class="title">
    Temp.<br/>(<img src="images/deg.gif"></img><xsl:value-of select="head/ut"></xsl:value-of>)
    </td>
    <td align="center" class="title">
    Feels<br/>Like
    </td>
    <td align="center" class="title">
    Dew<br/>Point
    </td>
    <td align="center" class="title">
    Precip.
    </td>
    <td align="center" class="title">
    Humid.
    </td>
    <td align="center" class="title">
    Wind
    </td>
  </tr>
  <xsl:variable name="unitspeed"><xsl:value-of select="head/us"></xsl:value-of></xsl:variable>
  <xsl:variable name="loc"><xsl:value-of select="loc/@id"></xsl:value-of></xsl:variable>
  <xsl:variable name="time"><xsl:value-of select="loc/tm"></xsl:value-of></xsl:variable>

<xsl:for-each select="hbhf/hour">
   <xsl:variable name="count"><xsl:value-of select="@h"></xsl:value-of></xsl:variable>
   <xsl:variable name="hour"><xsl:value-of select="@c"></xsl:value-of></xsl:variable>
   <tr>
   <xsl:if test="$hour > 12">
      <xsl:variable name="hr" select="$hour - 12"/>
      <td width="45" class="values">
         <xsl:value-of select="$hr" /> PM
      </td>
   </xsl:if>
   <xsl:if test="$hour = 12">
      <xsl:variable name="hr" select="$hour"/>
      <td width="45" class="values">
         <xsl:value-of select="$hr" /> PM
      </td>
   </xsl:if>

     <xsl:if test="$hour &lt; 12">
        <xsl:if test="$hour = 0">
            <td width="45" class="values">12 AM</td>      
        </xsl:if>
        
        <xsl:if test="$hour != 0">
            <td width="45" class="values"><xsl:value-of select="$hour" /> AM</td>
        </xsl:if>
   </xsl:if>
             <td class="values">
                <xsl:variable name="med-img-dir">images\32\</xsl:variable>
                <xsl:variable name="img-ext">gif</xsl:variable>
                <xsl:variable name="iconnumber">
                   <xsl:value-of select="icon"></xsl:value-of>
                </xsl:variable>
                <img src="{$med-img-dir}/{$iconnumber}.{$img-ext}"></img>
             </td>
            <td class="values" align="left">
                <xsl:value-of select="t"></xsl:value-of>
            </td>
            <td class="values" align="center">
                <xsl:value-of select="tmp"></xsl:value-of><img src="images/deg.gif"></img>
            </td>
            <td class="values" align="center">
                <xsl:value-of select="flik"></xsl:value-of><img src="images/deg.gif"></img>
            </td>
            <td class="values" align="center">
                <xsl:value-of select="dewp"></xsl:value-of><img src="images/deg.gif"></img>
            </td>
            <td class="values" align="center">
                <xsl:value-of select="ppcp"></xsl:value-of> %
            </td>
            <td class="values" align="center">
                <xsl:value-of select="hmid"></xsl:value-of> %
            </td>
            <td class="values" align="center">
                <xsl:value-of select="wind/s"></xsl:value-of><xsl:text> </xsl:text>
                <xsl:value-of select="$unitspeed"></xsl:value-of> 
                <xsl:text> </xsl:text>
                <xsl:value-of select="wind/t"></xsl:value-of>       
            </td>
            </tr>
</xsl:for-each>
       
        <tr bgcolor="#EBEFF4">
        <td colspan="9">
        <font class="footer">Last updated
       <xsl:value-of select="hbhf/lsup"></xsl:value-of> 
       <br/><a href="http://www.w3.weather.com/weather/local/{$loc}">View this forecast at weather.com</a>
       </font>
        </td>
        </tr>
      </table>
      </html>
  </xsl:template>
</xsl:stylesheet>